gtkmm: Gtk::FlowBox Class Reference

gtkmm 4.23.0

Public Types | Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::FlowBox Class Reference
Widgets | Container Widgets

A container that allows reflowing its children. More...

`#include <gtkmm/flowbox.h>`

Inheritance diagram for Gtk::FlowBox:
[legend]

## Public Types
typedef sigc::slot< void(FlowBox *, FlowBoxChild *)> | SlotSelectedForeach
| For instance: void foreach_child(FlowBox* box, FlowBoxChild* child);.
typedef sigc::slot< bool(FlowBoxChild *)> | SlotFilter
| For instance: bool on_filter(FlowBoxChild* child);.
typedef sigc::slot< int(FlowBoxChild *, FlowBoxChild *)> | SlotSort
| For instance: int on_sort(FlowBoxChild* child1, FlowBoxChild* child2).
template<typename T_item>
using | SlotCreateWidget = sigc::slot<Gtk::Widget*(const Glib::RefPtr<T_item>&)>
| For instance: Gtk::Widget* on_create_widget(const Glib::RefPtr<T_item>& item);.
Public Types inherited from Gtk::Widget
using | PreferredSize = MinimumNatural<Requisition>
| Structure returned by the non-output-parameter overload of get_preferred_size().
using | SlotTick = sigc::slot<bool(const Glib::RefPtr<Gdk::FrameClock>&)>
| Callback type for adding a function to update animations.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON , Role::APPLICATION , Role::PARAGRAPH , Role::BLOCK_QUOTE , Role::ARTICLE , Role::COMMENT , Role::TERMINAL }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED , State::VISITED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT , Property::HELP_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE , Relation::LABEL_FOR , Relation::DESCRIPTION_FOR , Relation::CONTROLLED_BY , Relation::DETAILS_FOR , Relation::ERROR_MESSAGE_FOR , Relation::FLOW_FROM }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...
enum class | AnnouncementPriority { AnnouncementPriority::LOW , AnnouncementPriority::MEDIUM , AnnouncementPriority::HIGH }
| The priority of an accessibility announcement. More...

## Public Member Functions
| FlowBox (FlowBox && src) noexcept
FlowBox & | operator= (FlowBox && src) noexcept
| FlowBox (const FlowBox &)=delete
FlowBox & | operator= (const FlowBox &)=delete
| ~FlowBox () noexcept override
GtkFlowBox * | gobj ()
| Provides access to the underlying C GObject.
const GtkFlowBox * | gobj () const
| Provides access to the underlying C GObject.
| FlowBox ()
| Creates a FlowBox.
void | set_homogeneous (bool homogeneous=true)
| Sets whether or not all children of box are given equal space in the box.
bool | get_homogeneous () const
| Returns whether the box is homogeneous.
void | set_row_spacing (guint spacing)
| Sets the vertical space to add between children.
guint | get_row_spacing () const
| Gets the vertical spacing.
void | set_column_spacing (guint spacing)
| Sets the horizontal space to add between children.
guint | get_column_spacing () const
| Gets the horizontal spacing.
void | set_min_children_per_line (guint n_children)
| Sets the minimum number of children to line up in box’s orientation before flowing.
guint | get_min_children_per_line () const
| Gets the minimum number of children per line.
void | set_max_children_per_line (guint n_children)
| Sets the maximum number of children to request and allocate space for in box’s orientation.
guint | get_max_children_per_line () const
| Gets the maximum number of children per line.
void | set_activate_on_single_click (bool single=true)
| If single is true, children will be activated when you click on them, otherwise you need to double-click.
bool | get_activate_on_single_click () const
| Returns whether children activate on single clicks.
void | prepend (Widget & child)
| Adds child to the start of self.
void | append (Widget & child)
| Adds child to the end of self.
void | insert (Widget & widget, int position)
| Inserts the widget into box at position.
void | remove (Widget & widget)
| Removes a child from box.
void | remove_all ()
| Removes all children from box.
FlowBoxChild * | get_child_at_index (int idx)
| Gets the nth child in the box.
const FlowBoxChild * | get_child_at_index (int idx) const
| Gets the nth child in the box.
FlowBoxChild * | get_child_at_pos (int x, int y)
| Gets the child in the ( x, y) position.
const FlowBoxChild * | get_child_at_pos (int x, int y) const
| Gets the child in the ( x, y) position.
void | selected_foreach (const SlotSelectedForeach & slot)
| Calls a function for each selected child.
std::vector< Gtk::FlowBoxChild * > | get_selected_children ()
| Creates a list of all selected children.
std::vector< const Gtk::FlowBoxChild * > | get_selected_children () const
| Creates a list of all selected children.
void | select_child (FlowBoxChild & child)
| Selects a single child of box, if the selection mode allows it.
void | unselect_child (FlowBoxChild & child)
| Unselects a single child of box, if the selection mode allows it.
void | select_all ()
| Select all children of box, if the selection mode allows it.
void | unselect_all ()
| Unselect all children of box, if the selection mode allows it.
void | set_selection_mode (SelectionMode mode=SelectionMode::NONE)
| Sets how selection works in box.
SelectionMode | get_selection_mode () const
| Gets the selection mode of box.
void | set_hadjustment (const Glib::RefPtr< Adjustment > & adjustment)
| Hooks up an adjustment to focus handling in box.
void | set_vadjustment (const Glib::RefPtr< Adjustment > & adjustment)
| Hooks up an adjustment to focus handling in box.
void | set_filter_func (const SlotFilter & slot)
| Sets a filter function.
void | unset_filter_func ()
| Removes the filter function, if any.
void | invalidate_filter ()
| Updates the filtering for all children.
void | set_sort_func (const SlotSort & slot)
| Sets a sort function.
void | unset_sort_func ()
| Removes the sort function, if any.
void | invalidate_sort ()
| Updates the sorting for all children.
void | bind_model (const Glib::RefPtr< Gio::ListModel > & model, const SlotCreateWidget< Glib::Object > & slot_create_widget)
| Binds a Gio::ListModel.
template<typename T_item, typename T_slot>
void | bind_list_store (const Glib::RefPtr< Gio::ListStore< T_item > > & store, T_slot && slot_create_widget)
| Binds a Gio::ListStore<>.
Glib::PropertyProxy< SelectionMode > | property_selection_mode ()
| The selection mode used by the flow box.
Glib::PropertyProxy_ReadOnly< SelectionMode > | property_selection_mode () const
| The selection mode used by the flow box.
Glib::PropertyProxy< bool > | property_activate_on_single_click ()
| Determines whether children can be activated with a single click, or require a double-click.
Glib::PropertyProxy_ReadOnly< bool > | property_activate_on_single_click () const
| Determines whether children can be activated with a single click, or require a double-click.
Glib::PropertyProxy< bool > | property_accept_unpaired_release ()
| Whether to accept unpaired release events.
Glib::PropertyProxy_ReadOnly< bool > | property_accept_unpaired_release () const
| Whether to accept unpaired release events.
Glib::PropertyProxy< bool > | property_homogeneous ()
| Determines whether all children should be allocated the same size.
Glib::PropertyProxy_ReadOnly< bool > | property_homogeneous () const
| Determines whether all children should be allocated the same size.
Glib::PropertyProxy< guint > | property_min_children_per_line ()
| The minimum number of children to allocate consecutively in the given orientation.
Glib::PropertyProxy_ReadOnly< guint > | property_min_children_per_line () const
| The minimum number of children to allocate consecutively in the given orientation.
Glib::PropertyProxy< guint > | property_max_children_per_line ()
| The maximum amount of children to request space for consecutively in the given orientation.
Glib::PropertyProxy_ReadOnly< guint > | property_max_children_per_line () const
| The maximum amount of children to request space for consecutively in the given orientation.
Glib::PropertyProxy< guint > | property_row_spacing ()
| The amount of vertical space between two children.
Glib::PropertyProxy_ReadOnly< guint > | property_row_spacing () const
| The amount of vertical space between two children.
Glib::PropertyProxy< guint > | property_column_spacing ()
| The amount of horizontal space between two children.
Glib::PropertyProxy_ReadOnly< guint > | property_column_spacing () const
| The amount of horizontal space between two children.
Glib::SignalProxy< void(FlowBoxChild *)> | signal_child_activated ()
Glib::SignalProxy< void()> | signal_selected_children_changed ()
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget.
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget.
void | show ()
| Flags a widget to be displayed.
void | hide ()
| Reverses the effects of [method.Gtk.Widget.show].
void | queue_draw ()
| Schedules this widget to be redrawn.
void | queue_resize ()
| Flags a widget to have its size renegotiated.
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function.
void | size_allocate (const Allocation & allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size.
Measurements | measure (Orientation orientation, int for_size=-1) const
| Like the other overload of measure() but returns a structure holding the sizes/baselines instead of using output parameters.
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
PreferredSize | get_preferred_size () const
| Like the other overload of get_preferred_size() but returns a structure holding the sizes instead of using output parameters.
void | set_layout_manager (const Glib::RefPtr< LayoutManager > & layout_manager)
| Sets the layout manager to use for measuring and allocating children of the widget.
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager().
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager of the widget.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager of the widget.
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | set_can_focus (bool can_focus=true)
| Sets whether the input focus can enter the widget or any of its children.
bool | get_can_focus () const
| Determines whether the input focus can enter the widget or any of its children.
void | set_focusable (bool focusable=true)
| Sets whether the widget can own the input focus.
bool | get_focusable () const
| Determines whether the widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
bool | grab_focus ()
| Causes widget to have the keyboard focus for the window that it belongs to.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_target (bool can_target=true)
| Sets whether the widget can be the target of pointer events.
bool | get_can_target () const
| Queries whether the widget can be the target of pointer events.
bool | has_default () const
| Determines whether the widget is the current default widget within its toplevel.
void | set_receives_default (bool receives_default=true)
| Sets whether the widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether the widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
void | set_name (const Glib::ustring & name)
| Sets a widgets name.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state.
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of the widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity.
bool | is_sensitive () const
| Returns the widget’s effective sensitivity.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | is_drawable () const
| Determines whether the widget can be drawn to.
bool | get_realized () const
| Determines whether the widget is realized.
bool | get_mapped () const
| Returns whether the widget is mapped.
void | set_child_visible (bool visible=true)
| Sets whether the widget should be mapped along with its parent.
bool | get_child_visible () const
| Gets the value set with set_child_visible().
int | get_allocated_width () const
| Returns the width that has currently been allocated to the widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to the widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to the widget.
Allocation | get_allocation () const
| Retrieves the widget’s location.
std::optional< Gdk::Graphene::Rect > | compute_bounds (const Widget & target) const
| Computes the bounds for the widget in the coordinate space of target.
std::optional< Gdk::Graphene::Point > | compute_point (const Widget & target, const Gdk::Graphene::Point & point) const
| Translates the given point in the widget's coordinates to coordinates relative to target’s coordinate system.
int | get_width () const
| Returns the content width of the widget.
int | get_height () const
| Returns the content height of the widget.
int | get_baseline () const
| Returns the baseline that has currently been allocated to the widget.
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget.
Widget * | get_parent ()
| Returns the parent widget of the widget.
const Widget * | get_parent () const
| Returns the parent widget of the widget.
Root * | get_root ()
| Returns the Gtk::Root widget of the widget.
const Root * | get_root () const
| Returns the Gtk::Root widget of the widget.
Native * | get_native ()
| Returns the nearest Gtk::Native ancestor of the widget.
const Native * | get_native () const
| Returns the nearest Gtk::Native ancestor of the widget.
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts.
bool | keynav_failed (DirectionType direction)
| Emits the signal_keynav_failed() signal on the widget.
void | error_bell ()
| Notifies the user about an input-related error on the widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of the widget.
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget.
Requisition | get_size_request () const
| Like the other overload of get_size_request() but returns a structure holding the sizes instead of using output parameters.
void | set_opacity (double opacity)
| Requests the widget to be rendered partially transparent.
double | get_opacity () const
| Fetches the requested opacity for the widget.
void | set_overflow (Overflow overflow)
| Sets how the widget treats content that is drawn outside the it's content area.
Overflow | get_overflow () const
| Returns the widget’s overflow value.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of the widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of the widget with type widget_type.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the display for the window that the widget belongs to.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the display for the window that the widget belongs to.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of the widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether the hexpand flag has been explicitly set.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether the vexpand flag has been explicitly set.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used.
bool | compute_expand (Orientation orientation)
| Computes whether a parent widget should give this widget extra space when possible.
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions.
Align | get_halign () const
| Gets the horizontal alignment of the widget.
void | set_halign (Align align)
| Sets the horizontal alignment of the widget.
Align | get_valign () const
| Gets the vertical alignment of the widget.
void | set_valign (Align align)
| Sets the vertical alignment of the widget.
int | get_margin_start () const
| Gets the start margin of the widget.
void | set_margin_start (int margin)
| Sets the start margin of the widget.
int | get_margin_end () const
| Gets the end margin of the widget.
void | set_margin_end (int margin)
| Sets the end margin of the widget.
int | get_margin_top () const
| Gets the top margin of the widget.
void | set_margin_top (int margin)
| Sets the top margin of the widget.
int | get_margin_bottom () const
| Gets the bottom margin of the widget.
void | set_margin_bottom (int margin)
| Sets the bottom margin of the widget.
void | set_margin (int margin)
| Set all 4 margins to the same value.
bool | is_ancestor (Widget & ancestor) const
| Determines whether the widget is a descendent of ancestor.
bool | translate_coordinates (Widget & dest_widget, double src_x, double src_y, double & dest_x, double & dest_y)
| Translates coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
bool | contains (double x, double y) const
| Tests if a given point is contained in the widget.
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of the widget closest to a point.
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of the widget closest to a point.
void | add_controller (const Glib::RefPtr< EventController > & controller)
| Adds an event controller to the widget.
void | remove_controller (const Glib::RefPtr< EventController > & controller)
| Removes an event controller from the widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context that is configured for the widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context that is configured for the widget.
void | set_font_options (const Cairo::FontOptions & options)
| Sets the cairo_font_options_t used for text rendering in the widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
Cairo::FontOptions | get_font_options () const
| Returns the cairo_font_options_t of the widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new Pango::Layout that is configured for the widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on the widget.
TextDirection | get_direction () const
| Gets the reading direction for the widget.
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > & cursor)
| Sets the cursor to be shown when the pointer hovers over the widget.
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget.
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Gets the cursor set on the widget.
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Gets the cursor set on the widget.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic.
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic.
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
void | set_parent (Widget & parent)
| Sets the parent widget of the widget.
void | unparent ()
| Removes widget from its parent.
void | map ()
| Causes a widget to be mapped if it isn’t already.
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display of the widget.
void | set_tooltip_text (const Glib::ustring & text)
| Sets the contents of the tooltip for the widget.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for the widget.
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets the contents of the tooltip for widget.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for the widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on the widget.
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to the widget.
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to the widget.
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts an action group into the widget's actions.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
void | activate_default ()
| Activates the default.activate action for the widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for text rendering in the widget.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of the widget.
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of the widget.
Widget * | get_first_child ()
| Returns the widget’s first child.
const Widget * | get_first_child () const
| Returns the widget’s first child.
Widget * | get_last_child ()
| Returns the widget’s last child.
const Widget * | get_last_child () const
| Returns the widget’s last child.
Widget * | get_next_sibling ()
| Returns the widget’s next sibling.
const Widget * | get_next_sibling () const
| Returns the widget’s next sibling.
Widget * | get_prev_sibling ()
| Returns the widget’s previous sibling.
const Widget * | get_prev_sibling () const
| Returns the widget’s previous sibling.
std::vector< Widget * > | get_children ()
| Gets a vector of the widgetʼs current children, from first child to last.
std::vector< const Widget * > | get_children () const
| Gets a vector of the widgetʼs current children, from first child to last.
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a list model to track the children of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a list model to track the children of the widget.
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a list model to track the event controllers of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a list model to track the event controllers of the widget.
void | insert_after (Widget & parent, const Widget & previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling.
void | insert_before (Widget & parent, const Widget & next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling.
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent.
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent.
void | snapshot_child (Widget & child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshots a child of the widget.
bool | should_layout () const
| Returns whether the widget should contribute to the measuring and allocation of its parent.
Glib::ustring | get_css_name () const
| Returns the CSS name of the widget.
void | add_css_class (const Glib::ustring & css_class)
| Adds a style class to the widget.
void | remove_css_class (const Glib::ustring & css_class)
| Removes a style from the widget.
bool | has_css_class (const Glib::ustring & css_class) const
| Returns whether a style class is currently applied to the widget.
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to the widget.
void | set_css_classes (const std::vector< Glib::ustring > & classes)
| Replaces the current style classes of the widget with classes.
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style.
void | set_limit_events (bool limit_events=true)
| Sets whether the widget acts like a modal dialog, with respect to event delivery.
bool | get_limit_events () const
| Gets the value of the property_limit_events() property.
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase.
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The Gtk::Root widget of the widget tree containing this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Overrides for width request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Overrides for width request of the widget.
Glib::PropertyProxy< int > | property_height_request ()
| Overrides for height request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Overrides for height request of the widget.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events.
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the hexpand property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the hexpand property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the vexpand property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the vexpand property.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget.
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy< bool > | property_limit_events ()
| Makes this widget act like a modal dialog, with respect to event delivery.
Glib::PropertyProxy_ReadOnly< bool > | property_limit_events () const
| Makes this widget act like a modal dialog, with respect to event delivery.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible && src) noexcept
Accessible & | operator= (Accessible && src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject.
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the implementation for the given accessible object.
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the implementation for the given accessible object.
bool | get_platform_state (PlatformState state) const
| Queries a platform state, such as focus.
void | update_platform_state (PlatformState state)
| Informs ATs that the platform state has changed.
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object.
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object.
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > & next_sibling)
| Sets the parent and sibling of an accessible object.
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object.
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object.
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > & new_sibling)
| Updates the next accessible sibling.
bool | get_bounds (int & x, int & y, int & width, int & height) const
| Queries the coordinates and dimensions of this accessible.
Glib::ustring | get_accessible_id () const
| Retrieves the accessible identifier for the accessible object.
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object.
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state.
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property.
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation.
void | reset_state (State state)
| Resets the accessible state to its default value.
void | reset_property (Property property)
| Resets the accessible property to its default value.
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value.
void | announce (const Glib::ustring & message, AnnouncementPriority priority)
| Requests the user's screen reader to announce the given message.
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given Gtk::Accessible implementation.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given Gtk::Accessible implementation.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget && src) noexcept
ConstraintTarget & | operator= (ConstraintTarget && src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject.
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Gtk::Orientable
| Orientable (Orientable && src) noexcept
Orientable & | operator= (Orientable && src) noexcept
| ~Orientable () noexcept override
GtkOrientable * | gobj ()
| Provides access to the underlying C GObject.
const GtkOrientable * | gobj () const
| Provides access to the underlying C GObject.
void | set_orientation (Orientation orientation)
| Sets the orientation of the orientable.
Orientation | get_orientation () const
| Retrieves the orientation of the orientable.
Glib::PropertyProxy< Orientation > | property_orientation ()
| The orientation of the orientable.
Glib::PropertyProxy_ReadOnly< Orientation > | property_orientation () const
| The orientation of the orientable.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets.
static TextDirection | get_default_direction ()
| Obtains the default reading direction.
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Orientable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gtk::FlowBox * | wrap (GtkFlowBox * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Orientable
Glib::RefPtr< Gtk::Orientable > | wrap (GtkOrientable * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget * child)
| Sets the focused child of widget.
virtual void | compute_expand_vfunc (bool & hexpand_p, bool & vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget.
void | unrealize ()
| Causes a widget to be unrealized.
void | realize_if_needed ()
void | set_focus_child (Widget & child)
| Set the focus child of the widget.
void | unset_focus_child ()
| Unsets the focus child of the widget.
Widget * | get_focus_child ()
| Returns the focus child of the widget.
const Widget * | get_focus_child () const
| Returns the focus child of the widget.
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > & tooltip)
| This is a default handler for the signal signal_query_tooltip().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Orientable
| Orientable ()
| You should derive from this class to use it.

## Detailed Description

A container that allows reflowing its children.

A FlowBox positions child widgets in sequence according to its orientation.

For instance, with the horizontal orientation, the widgets will be arranged from left to right, starting a new row under the previous row when necessary. Reducing the width in this case will require more rows, so a larger height will be requested.

Likewise, with the vertical orientation, the widgets will be arranged from top to bottom, starting a new column to the right when necessary. Reducing the height will require more columns, so a larger width will be requested.

The children of a FlowBox can be dynamically sorted and filtered.

Although a FlowBox must have only FlowBoxChild children, you can add any kind of widget to it via insert(), and a FlowBoxChild widget will automatically be inserted between the box and the widget.

Also see ListBox.

Since gtkmm 3.12

## Member Typedef Documentation

## ◆ SlotCreateWidget

template <typename T_item>

using Gtk::FlowBox::SlotCreateWidget = sigc::slot<Gtk::Widget*(const Glib::RefPtr<T_item>&)>

For instance: Gtk::Widget* on_create_widget(const Glib::RefPtr<T_item>& item);.

Called for flow boxes that are bound to a Gio::ListModel with bind_model() or bind_list_store() for each item that gets added to the model.

Since gtkmm 3.22

Template Parameters

  T_item | Base class of the items in the Gio::ListModel. All items must be of type T_item or a type derived from T_item. T_item must be Glib::Object or a type derived from Glib::Object.

Parameters

  item | The item from the model for which to create a widget.

Returns
  A Gtk::Widget that represents item.

## ◆ SlotFilter

typedef sigc::slot<bool(FlowBoxChild*)> Gtk::FlowBox::SlotFilter

For instance: bool on_filter(FlowBoxChild* child);.

Will be called for each child after a call to FlowBox::set_filter_func(), and it will continue to be called each time a child changes (via FlowBoxChild::changed()) or when FlowBox::invalidate_filter() is called.

Parameters

  child | A FlowBoxChild that may be filtered

Returns
  true if the child should be visible, false otherwise

Since gtkmm 3.12

## ◆ SlotSelectedForeach

typedef sigc::slot<void(FlowBox*, FlowBoxChild*)> Gtk::FlowBox::SlotSelectedForeach

For instance: void foreach_child(FlowBox* box, FlowBoxChild* child);.

A function used by FlowBox::selected_foreach(). It will be called on every selected child of the box.

Parameters

  box | FlowBox containing the selected children
  child | Each selected FlowBoxChild

Since gtkmm 3.12

## ◆ SlotSort

typedef sigc::slot<int(FlowBoxChild*, FlowBoxChild*)> Gtk::FlowBox::SlotSort

For instance: int on_sort(FlowBoxChild* child1, FlowBoxChild* child2).

Will be called for each child after a call to FlowBox::set_sort_func(), and will continue to be called each time a child changes (via FlowBoxChild::changed()) and when FlowBox::invalidate_sort() is called.

Parameters

  child1 | The first child.
  child2 | The second child.

Returns
  < 0 if child1 should be before child2, 0 if they are equal, and > 0 otherwise

Since gtkmm 3.12

## Constructor & Destructor Documentation

## ◆ FlowBox() [1/3]

Gtk::FlowBox::FlowBox | ( | FlowBox && | src | ) |
| noexcept

## ◆ FlowBox() [2/3]

Gtk::FlowBox::FlowBox | ( | const FlowBox & |  | ) |
| delete

## ◆ ~FlowBox()

Gtk::FlowBox::~FlowBox | ( |  | ) |
| overridenoexcept

## ◆ FlowBox() [3/3]

Gtk::FlowBox::FlowBox | ( |  | ) |

Creates a FlowBox.

## Member Function Documentation

## ◆ append()

void Gtk::FlowBox::append | ( | Widget & | child | ) |

Adds child to the end of self.

If a sort function is set, the widget will actually be inserted at the calculated position.

See also: insert().

Since gtkmm 4.6

Parameters

  child | The Gtk::Widget to add.

## ◆ bind_list_store()

template <typename T_item, typename T_slot>

void Gtk::FlowBox::bind_list_store | ( | const Glib::RefPtr< Gio::ListStore< T_item > > & | store,
|  | T_slot && | slot_create_widget )

Binds a Gio::ListStore<>.

If this FlowBox was already bound to a Gio::ListModel, that previous binding is destroyed. (Gio::ListStore is a Gio::ListModel.)

The contents of the FlowBox are cleared and then filled with widgets that represent items from store. The FlowBox is updated whenever store changes. If store is an empty Glib::RefPtr, the FlowBox is left empty.

It is undefined to add or remove widgets directly (for example, with insert() or Gtk::Container::add()) while the FlowBox is bound to a model.

Note that using a model is incompatible with the filtering and sorting functionality in FlowBox. When using a model, filtering and sorting should be implemented by the model.

Since gtkmm 3.22

Template Parameters

  T_item | Base class of the items in the Gio::ListStore. All items must be of type T_item or a type derived from T_item. T_item must be Glib::Object or a type derived from Glib::Object.
  T_slot | SlotCreateWidget<T_item> or a type that can be converted to SlotCreateWidget<T_item>.

Parameters

  store | The Gio::ListStore<> to be bound.
  slot_create_widget | A slot that creates widgets for items.

## ◆ bind_model()

void Gtk::FlowBox::bind_model | ( | const Glib::RefPtr< Gio::ListModel > & | model,
|  | const SlotCreateWidget< Glib::Object > & | slot_create_widget )

Binds a Gio::ListModel.

If this FlowBox was already bound to a model, that previous binding is destroyed.

The contents of the FlowBox are cleared and then filled with widgets that represent items from model. The FlowBox is updated whenever model changes. If model is an empty Glib::RefPtr, the FlowBox is left empty.

It is undefined to add or remove widgets directly (for example, with insert() or Gtk::Container::add()) while the FlowBox is bound to a model.

Note that using a model is incompatible with the filtering and sorting functionality in FlowBox. When using a model, filtering and sorting should be implemented by the model.

Since gtkmm 3.22

Parameters

  model | The Gio::ListModel to be bound.
  slot_create_widget | A slot that creates widgets for items.

See also
  bind_list_store()

## ◆ get_activate_on_single_click()

bool Gtk::FlowBox::get_activate_on_single_click | ( |  | ) | const

Returns whether children activate on single clicks.

Returns
  true if children are activated on single click, false otherwise.

## ◆ get_child_at_index() [1/2]

FlowBoxChild * Gtk::FlowBox::get_child_at_index | ( | int | idx | ) |

Gets the nth child in the box.

Parameters

  idx | The position of the child.

Returns
  The child widget, which will always be a Gtk::FlowBoxChild or nullptr in case no child widget with the given index exists.

## ◆ get_child_at_index() [2/2]

const FlowBoxChild * Gtk::FlowBox::get_child_at_index | ( | int | idx | ) | const

Gets the nth child in the box.

Parameters

  idx | The position of the child.

Returns
  The child widget, which will always be a Gtk::FlowBoxChild or nullptr in case no child widget with the given index exists.

## ◆ get_child_at_pos() [1/2]

FlowBoxChild * Gtk::FlowBox::get_child_at_pos | ( | int | x,
|  | int | y )

Gets the child in the ( x, y) position.

Both x and y are assumed to be relative to the origin of box.

Parameters

  x | The x coordinate of the child.
  y | The y coordinate of the child.

Returns
  The child widget, which will always be a Gtk::FlowBoxChild or nullptr in case no child widget exists for the given x and y coordinates.

## ◆ get_child_at_pos() [2/2]

const FlowBoxChild * Gtk::FlowBox::get_child_at_pos | ( | int | x,
|  | int | y ) const

Gets the child in the ( x, y) position.

Both x and y are assumed to be relative to the origin of box.

Parameters

  x | The x coordinate of the child.
  y | The y coordinate of the child.

Returns
  The child widget, which will always be a Gtk::FlowBoxChild or nullptr in case no child widget exists for the given x and y coordinates.

## ◆ get_column_spacing()

guint Gtk::FlowBox::get_column_spacing | ( |  | ) | const

Gets the horizontal spacing.

Returns
  The horizontal spacing.

## ◆ get_homogeneous()

bool Gtk::FlowBox::get_homogeneous | ( |  | ) | const

Returns whether the box is homogeneous.

Returns
  true if the box is homogeneous.

## ◆ get_max_children_per_line()

guint Gtk::FlowBox::get_max_children_per_line | ( |  | ) | const

Gets the maximum number of children per line.

Returns
  The maximum number of children per line.

## ◆ get_min_children_per_line()

guint Gtk::FlowBox::get_min_children_per_line | ( |  | ) | const

Gets the minimum number of children per line.

Returns
  The minimum number of children per line.

## ◆ get_row_spacing()

guint Gtk::FlowBox::get_row_spacing | ( |  | ) | const

Gets the vertical spacing.

Returns
  The vertical spacing.

## ◆ get_selected_children() [1/2]

std::vector< Gtk::FlowBoxChild * > Gtk::FlowBox::get_selected_children | ( |  | ) |

Creates a list of all selected children.

Returns
  A GList containing the Gtk::Widget for each selected child.

## ◆ get_selected_children() [2/2]

std::vector< const Gtk::FlowBoxChild * > Gtk::FlowBox::get_selected_children | ( |  | ) | const

Creates a list of all selected children.

Returns
  A GList containing the Gtk::Widget for each selected child.

## ◆ get_selection_mode()

SelectionMode Gtk::FlowBox::get_selection_mode | ( |  | ) | const

Gets the selection mode of box.

Returns
  The Gtk::SelectionMode.

## ◆ get_type()

GType Gtk::FlowBox::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkFlowBox * Gtk::FlowBox::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkFlowBox * Gtk::FlowBox::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ insert()

void Gtk::FlowBox::insert | ( | Widget & | widget,
|  | int | position )

Inserts the widget into box at position.

If a sort function is set, the widget will actually be inserted at the calculated position.

If position is -1, or larger than the total number of children in the box, then the widget will be appended to the end.

Parameters

  widget | The Gtk::Widget to add.
  position | The position to insert child in.

## ◆ invalidate_filter()

void Gtk::FlowBox::invalidate_filter | ( |  | ) |

Updates the filtering for all children.

Call this function when the result of the filter function on the box is changed due to an external factor. For instance, this would be used if the filter function just looked for a specific search term, and the entry with the string has changed.

## ◆ invalidate_sort()

void Gtk::FlowBox::invalidate_sort | ( |  | ) |

Updates the sorting for all children.

Call this when the result of the sort function on box is changed due to an external factor.

## ◆ operator=() [1/2]

FlowBox & Gtk::FlowBox::operator= | ( | const FlowBox & |  | ) |
| delete

## ◆ operator=() [2/2]

FlowBox & Gtk::FlowBox::operator= | ( | FlowBox && | src | ) |
| noexcept

## ◆ prepend()

void Gtk::FlowBox::prepend | ( | Widget & | child | ) |

Adds child to the start of self.

If a sort function is set, the widget will actually be inserted at the calculated position.

See also: insert().

Since gtkmm 4.6

Parameters

  child | The Gtk::Widget to add.

## ◆ property_accept_unpaired_release() [1/2]

Glib::PropertyProxy< bool > Gtk::FlowBox::property_accept_unpaired_release | ( |  | ) |

Whether to accept unpaired release events.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accept_unpaired_release() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::FlowBox::property_accept_unpaired_release | ( |  | ) | const

Whether to accept unpaired release events.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_activate_on_single_click() [1/2]

Glib::PropertyProxy< bool > Gtk::FlowBox::property_activate_on_single_click | ( |  | ) |

Determines whether children can be activated with a single click, or require a double-click.

Default value: true

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activate_on_single_click() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::FlowBox::property_activate_on_single_click | ( |  | ) | const

Determines whether children can be activated with a single click, or require a double-click.

Default value: true

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_column_spacing() [1/2]

Glib::PropertyProxy< guint > Gtk::FlowBox::property_column_spacing | ( |  | ) |

The amount of horizontal space between two children.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_column_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::FlowBox::property_column_spacing | ( |  | ) | const

The amount of horizontal space between two children.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_homogeneous() [1/2]

Glib::PropertyProxy< bool > Gtk::FlowBox::property_homogeneous | ( |  | ) |

Determines whether all children should be allocated the same size.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_homogeneous() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::FlowBox::property_homogeneous | ( |  | ) | const

Determines whether all children should be allocated the same size.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_children_per_line() [1/2]

Glib::PropertyProxy< guint > Gtk::FlowBox::property_max_children_per_line | ( |  | ) |

The maximum amount of children to request space for consecutively in the given orientation.

Default value: 7

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_children_per_line() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::FlowBox::property_max_children_per_line | ( |  | ) | const

The maximum amount of children to request space for consecutively in the given orientation.

Default value: 7

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_min_children_per_line() [1/2]

Glib::PropertyProxy< guint > Gtk::FlowBox::property_min_children_per_line | ( |  | ) |

The minimum number of children to allocate consecutively in the given orientation.

Setting the minimum children per line ensures that a reasonably small height will be requested for the overall minimum width of the box.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_min_children_per_line() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::FlowBox::property_min_children_per_line | ( |  | ) | const

The minimum number of children to allocate consecutively in the given orientation.

Setting the minimum children per line ensures that a reasonably small height will be requested for the overall minimum width of the box.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_row_spacing() [1/2]

Glib::PropertyProxy< guint > Gtk::FlowBox::property_row_spacing | ( |  | ) |

The amount of vertical space between two children.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_row_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< guint > Gtk::FlowBox::property_row_spacing | ( |  | ) | const

The amount of vertical space between two children.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selection_mode() [1/2]

Glib::PropertyProxy< SelectionMode > Gtk::FlowBox::property_selection_mode | ( |  | ) |

The selection mode used by the flow box.

Default value: Gtk::SelectionMode::SINGLE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_selection_mode() [2/2]

Glib::PropertyProxy_ReadOnly< SelectionMode > Gtk::FlowBox::property_selection_mode | ( |  | ) | const

The selection mode used by the flow box.

Default value: Gtk::SelectionMode::SINGLE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ remove()

void Gtk::FlowBox::remove | ( | Widget & | widget | ) |

Removes a child from box.

Parameters

  widget | The child widget to remove.

## ◆ remove_all()

void Gtk::FlowBox::remove_all | ( |  | ) |

Removes all children from box.

This function does nothing if box is backed by a model.

Since gtkmm 4.12

## ◆ select_all()

void Gtk::FlowBox::select_all | ( |  | ) |

Select all children of box, if the selection mode allows it.

## ◆ select_child()

void Gtk::FlowBox::select_child | ( | FlowBoxChild & | child | ) |

Selects a single child of box, if the selection mode allows it.

Parameters

  child | A child of box.

## ◆ selected_foreach()

void Gtk::FlowBox::selected_foreach | ( | const SlotSelectedForeach & | slot | ) |

Calls a function for each selected child.

Note that the selection cannot be modified from within this function.

Parameters

  slot | The function to call for each selected child

Since gtkmm 3.12

## ◆ set_activate_on_single_click()

void Gtk::FlowBox::set_activate_on_single_click | ( | bool | single = true | ) |

If single is true, children will be activated when you click on them, otherwise you need to double-click.

Parameters

  single | true to emit child-activated on a single click.

## ◆ set_column_spacing()

void Gtk::FlowBox::set_column_spacing | ( | guint | spacing | ) |

Sets the horizontal space to add between children.

Parameters

  spacing | The spacing to use.

## ◆ set_filter_func()

void Gtk::FlowBox::set_filter_func | ( | const SlotFilter & | slot | ) |

Sets a filter function.

By setting a filter function on the FlowBox one can decide dynamically which of the children to show. For instance, to implement a search function that only shows the children matching the search terms.

The slot will be called for each child after the call, and it will continue to be called each time a child changes (via FlowBoxChild::changed()) or when FlowBox::invalidate_filter() is called.

Parameters

  slot | Callback that lets you filter which children to show

Since gtkmm 3.12

## ◆ set_hadjustment()

void Gtk::FlowBox::set_hadjustment | ( | const Glib::RefPtr< Adjustment > & | adjustment | ) |

Hooks up an adjustment to focus handling in box.

The adjustment is also used for autoscrolling during rubberband selection. See Gtk::ScrolledWindow::get_hadjustment() for a typical way of obtaining the adjustment, and set_vadjustment() for setting the vertical adjustment.

The adjustments have to be in pixel units and in the same coordinate system as the allocation for immediate children of the box.

Parameters

  adjustment | An adjustment which should be adjusted when the focus is moved among the descendents of container.

## ◆ set_homogeneous()

void Gtk::FlowBox::set_homogeneous | ( | bool | homogeneous = true | ) |

Sets whether or not all children of box are given equal space in the box.

Parameters

  homogeneous | true to create equal allotments, false for variable allotments.

## ◆ set_max_children_per_line()

void Gtk::FlowBox::set_max_children_per_line | ( | guint | n_children | ) |

Sets the maximum number of children to request and allocate space for in box’s orientation.

Setting the maximum number of children per line limits the overall natural size request to be no more than n_children children long in the given orientation.

Parameters

  n_children | The maximum number of children per line.

## ◆ set_min_children_per_line()

void Gtk::FlowBox::set_min_children_per_line | ( | guint | n_children | ) |

Sets the minimum number of children to line up in box’s orientation before flowing.

Parameters

  n_children | The minimum number of children per line.

## ◆ set_row_spacing()

void Gtk::FlowBox::set_row_spacing | ( | guint | spacing | ) |

Sets the vertical space to add between children.

Parameters

  spacing | The spacing to use.

## ◆ set_selection_mode()

void Gtk::FlowBox::set_selection_mode | ( | SelectionMode | mode = SelectionMode::NONE | ) |

Sets how selection works in box.

Parameters

  mode | The new selection mode.

## ◆ set_sort_func()

void Gtk::FlowBox::set_sort_func | ( | const SlotSort & | slot | ) |

Sets a sort function.

By setting a sort function on the FlowBox, one can dynamically reorder the children of the box, based on the contents of the children.

The slot will be called for each child after the call, and will continue to be called each time a child changes (via FlowBoxChild::changed()) and when FlowBox::invalidate_sort() is called.

Parameters

  slot | The sort function

Since gtkmm 3.12

## ◆ set_vadjustment()

void Gtk::FlowBox::set_vadjustment | ( | const Glib::RefPtr< Adjustment > & | adjustment | ) |

Hooks up an adjustment to focus handling in box.

The adjustment is also used for autoscrolling during rubberband selection. See Gtk::ScrolledWindow::get_vadjustment() for a typical way of obtaining the adjustment, and set_hadjustment() for setting the horizontal adjustment.

The adjustments have to be in pixel units and in the same coordinate system as the allocation for immediate children of the box.

Parameters

  adjustment | An adjustment which should be adjusted when the focus is moved among the descendents of container.

## ◆ signal_child_activated()

Glib::SignalProxy< void(FlowBoxChild *)> Gtk::FlowBox::signal_child_activated | ( |  | ) |

Slot Prototype:
  void on_my_child_activated(FlowBoxChild* child)

Flags: Run Last

Emitted when a child has been activated by the user.

Parameters

  child | The child that is activated.

## ◆ signal_selected_children_changed()

Glib::SignalProxy< void()> Gtk::FlowBox::signal_selected_children_changed | ( |  | ) |

Slot Prototype:
  void on_my_selected_children_changed()

Flags: Run First

Emitted when the set of selected children changes.

Use Gtk::FlowBox::selected_foreach() or Gtk::FlowBox::get_selected_children() to obtain the selected children.

## ◆ unselect_all()

void Gtk::FlowBox::unselect_all | ( |  | ) |

Unselect all children of box, if the selection mode allows it.

## ◆ unselect_child()

void Gtk::FlowBox::unselect_child | ( | FlowBoxChild & | child | ) |

Unselects a single child of box, if the selection mode allows it.

Parameters

  child | A child of box.

## ◆ unset_filter_func()

void Gtk::FlowBox::unset_filter_func | ( |  | ) |

Removes the filter function, if any.

Since gtkmm 3.12

## ◆ unset_sort_func()

void Gtk::FlowBox::unset_sort_func | ( |  | ) |

Removes the sort function, if any.

Since gtkmm 3.12

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::FlowBox * wrap | ( | GtkFlowBox * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.